Class: Aws::BedrockAgentCoreControl::Types::CreateGatewayTargetRequest

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[:name, :description]

Instance Attribute Summary collapse

Instance Attribute Details

#client_tokenString

A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.

A suitable default value is auto-generated. You should normally not need to pass this option.

Returns:

  • (String)


2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 2984

class CreateGatewayTargetRequest < Struct.new(
  :gateway_identifier,
  :name,
  :description,
  :client_token,
  :target_configuration,
  :credential_provider_configurations,
  :metadata_configuration,
  :private_endpoint)
  SENSITIVE = [:name, :description]
  include Aws::Structure
end

#credential_provider_configurationsArray<Types::CredentialProviderConfiguration>

The credential provider configurations for the target. These configurations specify how the gateway authenticates with the target endpoint.



2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 2984

class CreateGatewayTargetRequest < Struct.new(
  :gateway_identifier,
  :name,
  :description,
  :client_token,
  :target_configuration,
  :credential_provider_configurations,
  :metadata_configuration,
  :private_endpoint)
  SENSITIVE = [:name, :description]
  include Aws::Structure
end

#descriptionString

The description of the gateway target.

Returns:

  • (String)


2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 2984

class CreateGatewayTargetRequest < Struct.new(
  :gateway_identifier,
  :name,
  :description,
  :client_token,
  :target_configuration,
  :credential_provider_configurations,
  :metadata_configuration,
  :private_endpoint)
  SENSITIVE = [:name, :description]
  include Aws::Structure
end

#gateway_identifierString

The identifier of the gateway to create a target for.

Returns:

  • (String)


2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 2984

class CreateGatewayTargetRequest < Struct.new(
  :gateway_identifier,
  :name,
  :description,
  :client_token,
  :target_configuration,
  :credential_provider_configurations,
  :metadata_configuration,
  :private_endpoint)
  SENSITIVE = [:name, :description]
  include Aws::Structure
end

#metadata_configurationTypes::MetadataConfiguration

Optional configuration for HTTP header and query parameter propagation to and from the gateway target.



2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 2984

class CreateGatewayTargetRequest < Struct.new(
  :gateway_identifier,
  :name,
  :description,
  :client_token,
  :target_configuration,
  :credential_provider_configurations,
  :metadata_configuration,
  :private_endpoint)
  SENSITIVE = [:name, :description]
  include Aws::Structure
end

#nameString

The name of the gateway target. The name must be unique within the gateway.

Returns:

  • (String)


2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 2984

class CreateGatewayTargetRequest < Struct.new(
  :gateway_identifier,
  :name,
  :description,
  :client_token,
  :target_configuration,
  :credential_provider_configurations,
  :metadata_configuration,
  :private_endpoint)
  SENSITIVE = [:name, :description]
  include Aws::Structure
end

#private_endpointTypes::PrivateEndpoint

The private endpoint configuration for the gateway target. Use this to connect the gateway to private resources in your VPC.



2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 2984

class CreateGatewayTargetRequest < Struct.new(
  :gateway_identifier,
  :name,
  :description,
  :client_token,
  :target_configuration,
  :credential_provider_configurations,
  :metadata_configuration,
  :private_endpoint)
  SENSITIVE = [:name, :description]
  include Aws::Structure
end

#target_configurationTypes::TargetConfiguration

The configuration settings for the target, including endpoint information and schema definitions.



2984
2985
2986
2987
2988
2989
2990
2991
2992
2993
2994
2995
# File 'gems/aws-sdk-bedrockagentcorecontrol/lib/aws-sdk-bedrockagentcorecontrol/types.rb', line 2984

class CreateGatewayTargetRequest < Struct.new(
  :gateway_identifier,
  :name,
  :description,
  :client_token,
  :target_configuration,
  :credential_provider_configurations,
  :metadata_configuration,
  :private_endpoint)
  SENSITIVE = [:name, :description]
  include Aws::Structure
end